### Method

# Ide Pipeline request_phase

#### Declaration

    gboolean
    ide_pipeline_request_phase (
      IdePipeline* self,
      IdePipelinePhase phase
    )

#### Description

Requests that the next execution of the pipeline will build up to `phase` including all stages that were previously invalidated.

Available since: | 3.32

#### Parameters

`phase` | `IdePipelinePhase`
| An `IdePipelinePhase`.

#### Return value

Returns: | `gboolean`
| `TRUE` if a stage is known to require execution.